%{!?repo:%define repo core}

Summary: yum %{repo} repository configuration file
Name: springdale-%{repo}
Version: 7
Release: 2.sdl7.1
Group: System Environment/Base 
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: yum springdale-release /etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
%if "%{repo}" != "core"
Requires: springdale-core
%if "%{repo}" != "addons" && "%{repo}" != "DevToolset"
Requires: springdale-addons
%endif
%define base %{nil}
%else
%define base _Base
%endif
%if  "%{repo}" == "DevToolset"
%define base _Base
%endif

%description
This rpm contains yum %{repo} repository configuration file.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

%undefine base_repo
%undefine updates_repo
%undefine debuginfo_repo
%undefine debuginfoupdates_repo
%undefine source_repo
%undefine sourceupdates_repo
%define repo_prefix %{repo}-

%if "%{repo}" == "core"
echo "core"
%define base_repo http://springdale.princeton.edu/data/springdale/\\$releasever/\\$basearch/os
%define updates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/en/os/\\$basearch
%define debuginfo_repo http://springdale.princeton.edu/data/springdale/\\$releasever/\\$basearch/debug/os
%define debuginfoupdates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/en/os/debug/\\$basearch
%define source_repo http://springdale.princeton.edu/data/springdale/\\$releasever/source/os
%define sourceupdates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/en/os/SRPMS
%define repo_prefix %{nil}
%endif

%if "%{repo}" == "addons"
echo "addons"
%define base_repo http://springdale.princeton.edu/data/springdale/\\$releasever/\\$basearch/os/Addons
%define updates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/en/Addons/\\$basearch
%define debuginfo_repo http://springdale.princeton.edu/data/springdale/\\$releasever/\\$basearch/debug/Addons
%define debuginfoupdates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/en/Addons/debug/\\$basearch
%define source_repo http://springdale.princeton.edu/data/springdale/\\$releasever/source/Addons
%define sourceupdates_repo http://springdale.princeton.edu/data/springdale/updates/\\$releasever/en/Addons/SRPMS
%endif

%if "%{repo}" == "buildsys"
echo "buildsys"
%define base_repo http://springdale.princeton.edu/data/springdale/%{repo}/\\$releasever/os/\\$basearch
%endif

# if base_repo wasn't defined by now that means a simple repo
%if %{!?base_repo:1}0
%define base_repo http://springdale.princeton.edu/data/springdale/%{repo}/\\$releasever/\\$basearch
%endif


%if %{?base_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}.repo <<ENDREPO
[%{repo_prefix}core]
name=Springdale %{repo} Base \$releasever - \$basearch
mirrorlist=%{base_repo}/mirrorlist
#baseurl=%{base_repo}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?updates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}.repo <<ENDREPO

[%{repo_prefix}updates]
name=Springdale %{repo} Updates \$releasever - \$basearch
mirrorlist=%{updates_repo}/mirrorlist
#baseurl=%{updates_repo}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?debuginfo_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-debug.repo <<ENDREPO
[%{repo_prefix}core-debuginfo]
name=Springdale %{repo} Base \$releasever Debuginfo - \$basearch
mirrorlist=%{debuginfo_repo}/mirrorlist
#baseurl=%{debuginfo_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?debuginfoupdates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-debug.repo <<ENDREPO

[%{repo_prefix}updates-debuginfo]
name=Springdale %{repo} Updates \$releasever Debuginfo - \$basearch
mirrorlist=%{debuginfoupdates_repo}/mirrorlist
#baseurl=%{debuginfoupdates_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?source_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-source.repo <<ENDREPO
[%{repo_prefix}source]
name=Springdale %{repo} Base \$releasever SRPMS - \$basearch
mirrorlist=%{source_repo}/mirrorlist
#baseurl=%{source_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%if %{?sourceupdates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/springdale-%{version}-%{repo}-source.repo <<ENDREPO

[%{repo_prefix}updates-source]
name=Springdale %{repo} Updates \$releasever SRPMS - \$basearch
mirrorlist=%{sourceupdates_repo}/mirrorlist
#baseurl=%{sourceupdates_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
ENDREPO
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) /etc/yum.repos.d/springdale*

%changelog
* Tue Jul 09 2014 Josko Plazonic <plazonic@princeton.edu>
- handle also addons and other repos

* Wed Jul 02 2014 Josko Plazonic <plazonic@princeton.edu>
- rename repos for easier updates handling

* Fri Jun 27 2014 Josko Plazonic <plazonic@princeton.edu>
- initial version for sdl7

* Tue May 27 2014 Josko Plazonic <plazonic@princeton.edu>
- change repoid of debuginfo repos which will make yum-utils happy

* Mon Feb 25 2013 Josko Plazonic <plazonic@math.princeton.edu>
- move to springdale

* Thu Mar 29 2012 Thomas Uphill <uphill@ias.edu>
- rewriting the if statements to make it more readable.
- adding buildsys

* Mon Nov 29 2010 Thomas Uphill <uphill@ias.edu>
- adding mirrorlist for all repos

* Tue Nov 16 2010 Josko Plazonic <plazonic@math.princeton.edu>
- initial build for PUIAS 6

* Tue Jul 17 2007 Josko Plazonic <plazonic@math.princeton.edu>
- variant for unsupported repo

* Mon Mar 26 2007 Josko Plazonic <plazonic@math.princeton.edu>
- first build
